---
title: HTMLObjectElement.checkValidity
slug: Web/API/HTMLObjectElement/checkValidity
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - Method
  - NeedsExample
  - Reference
  - checkValidity
  - checkValidity()
---
<p>{{APIRef("HTML DOM")}}</p>

<p class="summary">The <strong><code>checkValidity()</code></strong> method of the {{domxref("HTMLObjectElement")}} interface returns a {{jsxref("Boolean")}} that always is true, because object objects are never candidates for constraint validation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const valid = HTMLObjectElement.checkValidity();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>true</code></p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-cva-checkvalidity','checkValidity')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.checkValidity")}}</p>
